CIBIL Bureau - Soft Pull Integration
Sample cURL:
curl --location 'https://api-preproduction.signzy.app/api/v3/bureau/CIBILbureau' \
--header 'Content-Type: application/json' \
--header 'Authorization: <auth-token>' \
--data '{
"phoneNumber": "**********",
"pan": "**********",
"voterId": "**********",
"rationCard": "**********",
"driverLicense": "**********",
"firstName": "**********",
"lastName": "**********",
"dateOfBirth": "**********",
"gender": "MALE",
"address": "ABCD",
"pincode": "411001",
"consent": {
"consentFlag": true,
"consentTimestamp": 1690215946,
"consentIpAddress": "***.***.0.1"
}
}'Request Headers:
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-Type | application/json |
Request Body:
{
"phoneNumber": "**********",
"pan": "**********",
"voterId": "**********",
"rationCard": "**********",
"driverLicense": "**********",
"firstName": "**********",
"lastName": "**********",
"dateOfBirth": "**********",
"gender": "MALE",
"address": "ABCD",
"pincode": "411001",
"consent": {
"consentFlag": true,
"consentTimestamp": 1690215946,
"consentIpAddress": "***.***.0.1"
}
}Input Parameters:
One Id is mandatory. User can provide only one of the pan, voterId,rationCard or driverLicense number
Parameter | Type | Mandatory/Optional | Description |
|---|---|---|---|
phoneNumber | String | Mandatory | The phone number of the individual |
pan | String | Conditional Mandatory | Pan number of the user |
voterId | String | Conditional Mandatory | voter Id number of user |
rationCard | String | Conditional Mandatory | ration card number of user |
driverLicense | String | Conditional Mandatory | driverLicense Number |
firstName | String | Mandatory | First Name of the consumer |
lastName | String | Mandatory | Last Name of the consumer |
dateOfBirth | String | Mandatory | date of birth format ddmmyyy |
gender | String | Mandatory | gender of the user "MALE", "FEMALE" |
address | String | Mandatory | Address |
pincode | String | Mandatory | Pincode |
consent | Object | Mandatory | Consent object by the user. |
consent[consentFlag] | Boolean | Mandatory | A boolean flag representing if consent is present or not. |
consent[consentTimestamp] | Number | Mandatory | Timestamp of the consent. (In seconds consisting of 10 digits) |
consent[consentIpAddress] | String | Mandatory | Ip address of the user's device giving the consent. |
Response Body:
{
"statuscode": 200,
"message": "SUCCESS",
"data": {
"cibilReport": [
{
"names": [
{
"index": "N01",
"name": "DUMMY NAME",
"birthDate": "10102010",
"gender": "2"
}
],
"ids": [
{
"index": "I01",
"idType": "01",
"idNumber": "XXXXX1010X"
},
{
"index": "I02",
"idType": "04",
"idNumber": "12345678909876"
},
{
"index": "I03",
"idType": "06",
"idNumber": "XXXXXXXXXXXX"
},
{
"index": "I04",
"idType": "09",
"idNumber": "12345678564323"
}
],
"telephones": [
{
"index": "T01",
"telephoneNumber": "1234567890",
"telephoneType": "03"
},
{
"index": "T02",
"telephoneNumber": "1234567890",
"telephoneType": "01"
},
{
"index": "T03",
"telephoneNumber": " 912345678909",
"telephoneType": "00"
}
],
"emails": [
{
"index": "C01",
"emailID": "[email protected]"
}
],
"employment": [
{
"index": "E01",
"accountType": "08",
"dateReported": "08032024",
"occupationCode": "04"
}
],
"scores": [
{
"scoreName": "CIBILTUSC3",
"scoreCardName": "08",
"scoreCardVersion": "10",
"scoreDate": "01012010",
"score": "00663",
"reasonCodes": [
{
"reasonCodeName": "reasonCode1",
"reasonCodeValue": "07"
},
{
"reasonCodeName": "reasonCode2",
"reasonCodeValue": "03"
},
{
"reasonCodeName": "reasonCode3",
"reasonCodeValue": "04"
},
{
"reasonCodeName": "reasonCode4",
"reasonCodeValue": "01"
}
]
}
],
"addresses": [
{
"index": "A01",
"line1": "DELHI",
"stateCode": "07",
"pinCode": "110011",
"addressCategory": "02",
"dateReported": "10101011",
"enquiryEnriched": "Y"
},
{
"index": "A02",
"line1": "SO DUMMY NAME VILL XXXXXXX",
"line3": "POST XXXXXXX XXXXXXX XXXXXXX",
"line5": "XXXXXXX-XXXXXXX",
"stateCode": "10",
"pinCode": "111111",
"addressCategory": "02",
"residenceCode": "01",
"dateReported": "111111"
}
],
"accounts": [
{
"index": "T001",
"memberShortName": "NOT DISCLOSED",
"accountType": "08",
"ownershipIndicator": 1,
"dateOpened": "11111111",
"lastPaymentDate": "11111111",
"dateReported": "11111111",
"highCreditAmount": 11111111,
"currentBalance": 79926,
"paymentHistory": "DSFSDFSDFSDFNSDKFHSJKDBNFJSHIDUFBSDIBFIUSDBFUIBCSDBCSUIHZDFIOESBF",
"paymentStartDate": "11111111",
"paymentEndDate": "01042021",
"creditFacilityStatus": "00",
"collateralType": "00",
"interestRate": 13.5,
"paymentTenure": 147,
"emiAmount": 3182,
"paymentFrequency": "03",
"actualPaymentAmount": 73557
}
],
"enquiries": [
{
"index": "I001",
"enquiryDate": "11111111",
"memberShortName": "FINTELLIGENCE",
"enquiryPurpose": "05",
"enquiryAmount": 49500
}
]
}
],
"statuscode": true
}
}Status Codes:
CODE | MESSAGE |
|---|---|
200 | Request successful |
400 | Validation Error |
404 | Resource not found |
409 | Upstream is down |
500 | Server Side Error |